ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Core.Opt.CSE

Synopsis

- cseProgram :: CoreProgram -> CoreProgram
- cseOneExpr :: InExpr -> OutExpr

# Documentation

cseProgram :: CoreProgram -> CoreProgram Source #

cseOneExpr :: InExpr -> OutExpr Source #

Runs CSE on a single expression.

This entry point is not used in the compiler itself, but is provided as a convenient entry point for users of the GHC API.